

IM=zeros(48,128);%imagen IM de 48 filas x 64 columnas
[nf nc]=size(IM) %obtiene número de filas y numero de columnas
%For doble para recorrer todos los pixeles de una imagen 
gris=0;
for c=1:nc
   for f=1:nf
      IM(f,c)=gris;
   end;
   gris=gris+1;
end;

subplot(2,2,1);
colormap(gray(256));image(IM);
subplot(2,2,2);
imshow(IM,[0 255]);
subplot(2,2,3);
imshow(IM,[0 255]);
subplot(2,2,4);
imshow(IM,[0 255]);